<?php
namespace Ak\Container;

use Psr\Container\ContainerInterface;

/**
 * Interface ContainerAwareInterface
 *
 * @package Ak\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/container
 */
interface ContainerAwareInterface
{
    /**
     * @return ContainerInterface
     */
    public function getContainer(): ContainerInterface;

    /**
     * @param ContainerInterface $container
     */
    public function setContainer(ContainerInterface $container): void;
}